#!/bin/sh

# removefile.sh
# Uninstall
#
# Created by Smith_yang on 09-2-23.
# Copyright 2009 __MyCompanyName__. All rights reserved.

echo $1
echo "The uninstaller will be uninstall the Presto! PVR all files."

case $1 in
	1) echo "1 time"
		killall Presto\!\ PVR
		killall Presto\!\ PVR\ Monitor
		;;
	5) echo "2 times"
		rm -f -R /Applications/Presto\!\ PVR
		;;
	10) echo "3 times"
		rm -f -R ~/Library/Preferences/Presto\!\ PVR
		;;
	20) echo "4 times"
		rm -f -R /Library/Application\ Support/Presto\!\ PVR
		;;
	30) echo "5 times"
		rm -f -R /Library/Preferences/com.newsoft.PVR.Ver.Install.plist
		;;
	40) echo "6 times"
		TMPF="/tmp/Tmp$.$$"
		SPATH="/Library/Application Support/Presto! PVR/Presto! PVR Monitor.app"
		DESPATH="/Library/Preferences/"
		DESNAME="loginwindow.plist"
		SYSVERPATH="/System/Library/CoreServices/SystemVersion"
		nu=9
		if [ -f "/Library/Preferences/loginwindow.plist" ]; then
			cd /Library/Preferences

			if (ls -l | grep -v 'com.app' | grep 'loginwindow.plist' ) then

				plutil -convert xml1 "$DESPATH/$DESNAME"
				if (grep "$SPATH" "$DESPATH$DESNAME")then
					i=1	
					while(sed -n "${i}p" $DESPATH$DESNAME | grep -v "$SPATH");do
					i=$((i+1))
					done
					sed "$((i-4)),$((i+1))d" $DESPATH$DESNAME > /tmp/loginwindow.plist
				fi
				cp /tmp/loginwindow.plist $DESPATH
				rm -f /tmp/loginwindow.plist
			fi

			SYSVER=`defaults read $SYSVERPATH 'ProductVersion'`
			echo $SYSVER

			defaults write "/Library/Preferences/loginwindow" 'SystemVersionStampAsString' "$SYSVER"

			SYSBDVER=`defaults read $SYSVERPATH 'ProductBuildVersion'`

			defaults write "/Library/Preferences/loginwindow" 'BuildVersionStampAsString' "$SYSBDVER"

			echo $SYSBDVER
		fi
		exit 0
		;;
	50) echo "7 times"
		rm ~/Desktop/"Presto! PVR"
		rm -R ~/Library/Fonts/jgtr01m.ttf
		;;
esac

echo "Presto! PVR Uninstall has remove the all files."